@echo off
cls
echo.
echo.  
choice "Would you like to install Y2K Doctor for DOS "
if errorlevel 2 goto end
if errorlevel 1 goto install

:install
echo.  
echo.  
echo Please wait while Y2K Doctor for DOS Installs...
type inst | dr2k.exe c: >nul
echo.
choice "Do you want Install to update your Configuration files "
if errorlevel 2 goto end1
if errorlevel 1 goto change

:change
echo.
if exist c:\windows\dosstart.bat copy  c:\windows\dosstart.bat c:\windows\dosstart.y2k >nul 
echo A backup copy of your DOSSTART.BAT has been made as DOSSTART.Y2K
echo set path=%path%;c:\y2kdr>>c:\windows\dosstart.bat
if exist c:\config.sys copy  c:\config.sys c:\config.y2k >nul
echo A backup copy of your CONFIG.SYS has been made as CONFIG.Y2K       
if exist c:\autoexec.bat copy  c:\autoexec.bat c:\autoexec.y2k >nul 
echo A backup copy of your AUTOEXEC.BAT has been made as AUTOEXEC.Y2K
echo REM This line added loads the Y2K Doctor device driver. Do not  Remove. >> c:\config.sys
echo device=C:\y2kdr\a2000.sys 1950 >> c:\config.sys
echo set path=%path%;c:\y2kdr>> c:\autoexec.bat
echo. 
echo Install is complete, you need to reboot to load device
echo drivers needed for Y2K Doctor to run properly.
echo.
goto end

:end1
echo. 
echo Install is complete, you need to make sure to load device
echo drivers needed for Y2K Doctor to run properly.
echo.

:end
